# Tools 📊

The Genome Nexus API powers several visualizations in [cBioPortal](https://www.cbioportal.org), for instance:

* the online [Mutation Mapper Tool](https://www.cbioportal.org/mutation_mapper), which uses Genome Nexus to annotate mutations supplied in MAF format and draw a lollipop plot
* Several annotations displayed in the mutation tables column of cBioPortal, e.g. on the [Patient View Page](https://www.cbioportal.org/patient?studyId=lgg_ucsf_2014\&caseId=P04)

For more information about the Genome Nexus and cBioPortal integration see the [cBioPortal docs](https://docs.cbioportal.org/2.1-deployment/architecture-overview#genome-nexus)

Note that Command Line Clients for annotating MAF and VCF are describe in the [API](/api.md) section


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.genomenexus.org/tools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
